net.corda.node.utilities

## Class AddressUtils

- net.corda.node.utilities.AddressUtils

-     public class AddressUtils

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AddressUtils` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPublic(java.net.InetAddress address)` Returns `true` if the provided `address` is a public IP address or hostname.
    `boolean` | `isPublic(java.lang.String hostText)`
    `java.net.InetAddress` | `tryDetectPublicIP()` Returns the first public IP address found on any of the network interfaces, or `null` if none found.

- - ### Field Detail

    - #### INSTANCE

          public static AddressUtils INSTANCE

  - ### Method Detail

    - #### tryDetectPublicIP

          public java.net.InetAddress tryDetectPublicIP()

      Returns the first public IP address found on any of the network interfaces, or `null` if none found.

    - #### isPublic

          public boolean isPublic(java.net.InetAddress address)

      Returns `true` if the provided `address` is a public IP address or hostname.

    - #### isPublic

          public boolean isPublic(java.lang.String hostText)